Bug 11129 - a2ps fails on graphics files and misses its fonts
a2ps fails on graphics files and misses its fonts
Product: Red Hat Powertools
Classification: Retired
Component: a2ps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
Depends On:
  Show dependency treegraph
Reported: 2000-04-30 12:04 EDT by michal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-19 17:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
collection of patches to a2ps (2.05 KB, application/octet-stream)
2000-04-30 12:06 EDT, michal
no flags Details

  None (edit)
Description michal 2000-04-30 12:04:38 EDT
There are two problems with a2ps (a2ps-4.12-7 is in Powertools 6.2).

One is that all flex generated scanners use REJECT - needed or not.
Not only that makes them slower but with every less then trivial
graphics file fed to a2ps one sees:
"input buffer overflow, can't enlarge buffer because scanner uses REJECT"
and a2ps fails.

The other problem is that 'configure' script has a hardcoded list
of font directories and this list does not cover any likely place where
some fonts can be found.

Attached are patches for both afflictions.  They are agaist 4.13
sources but this does not matter.  The same problems exists for
both versions.

  Michal Jaegermann,
Comment 1 michal 2000-04-30 12:06:59 EDT
Created attachment 220 [details]
collection of patches to a2ps
Comment 2 Tim Powers 2000-06-19 17:22:49 EDT
OK. Patches are applied and changes to the spec file have been made. Look for
4.13-4 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.